commit 17061038519b42b6919af1d3d82d346f2259a114
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Mon Jan 15 12:54:41 2024 +0000

    Exinext: handle new-format message IDs
    
    Broken-by: 46a36afae4

diff --git a/src/src/exinext.src b/src/src/exinext.src
index 1a1d88f6b..882ad5f60 100644
--- a/src/src/exinext.src
+++ b/src/src/exinext.src
@@ -163,6 +163,7 @@ perl - $exim_path "$eximmacdef" $argone $spool_directory $qualify_domain $config
 
   if (scalar(@list) == 0)
     {
+    push(@list, $subject) if $subject =~ /^\w{6}-\w{11}-\w{4}$/;
     push(@list, $subject) if $subject =~ /^\w{6}-\w{6}-\w{2}$/;
 
     if ($subject !~ /\@/ && $subject !~ /\./)

